%define name 	libavc1394
%define version 0.5.3
%define release %mkrel 4

%define major 	0
%define libname %mklibname avc1394_ %major
%define libnamedev %mklibname avc1394 -d

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:        Control AV firewire devices
License: 	GPL
Group: 		System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
URL:            http://www.sourceforge.net/projects/libavc1394

Buildroot: 	%{_tmppath}/%{name}-buildroot
Buildrequires: 	libraw1394-devel

%description
libavc1394 is a programming interface for the 1394 Trade 
Association AV/C (Audio/Video Control) Digital Interface 
Command Set. It is intended for use with GNU/Linux IEEE-1394

%package -n %{libname}
Summary: FireWire interface
Group: System/Libraries
Provides: libavc1394 = %version-%release

%description -n %{libname}
libavc1394 is a programming interface for the 1394 Trade 
Association AV/C (Audio/Video Control) Digital Interface 
Command Set. It is intended for use with GNU/Linux IEEE-1394

%package -n %{libnamedev}
Summary: FireWire interface
Group: Development/C
Provides: libavc1394-devel = %version-%release
Provides: libavc-devel = %version-%release
Requires: %libname = %{version}
Obsoletes: %{_lib}avc1394_0-devel

%description -n %{libnamedev}
libavc1394 is a programming interface for the 1394 Trade
Association AV/C (Audio/Video Control) Digital Interface
Command Set. It is intended for use with GNU/Linux IEEE-1394

%package -n %name-tools
Summary: FireWire interface
Group: Development/C
Requires: %libname = %{version}
Obsoletes: libavc1394_0-testools

%description -n %name-tools
Contains test tools for the libavc1394 library.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
cp test/.libs/romtest $RPM_BUILD_ROOT/%_bindir

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%doc README NEWS INSTALL COPYING AUTHORS
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%defattr(- ,root,root)
%{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %name-tools
%defattr(- ,root,root)
%_bindir/*
%_mandir/man1/*




%changelog
* Sun Dec 28 2008 Funda Wang <fundawang@mandriva.org> 0.5.3-4mdv2009.1
+ Revision: 320390
- new devel package policy

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.3-3mdv2009.0
+ Revision: 222505
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.3-2mdv2008.1
+ Revision: 150466
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jan 21 2007 Stefan van der Eijk <stefan@mandriva.org> 0.5.3-1mdv2007.0
+ Revision: 111592
- 0.5.3 release
- Import libavc1394

* Fri May 05 2006 Austin Acton <austin@mandriva.org> 0.5.3-0.72.1mdk
- move to svn to support freebob
- mkrel

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.5.1-3mdk
- Rebuild

* Mon Jul 11 2005 Austin Acton <austin@mandriva.org> 0.5.1-2mdk
- give test package a saner name

* Mon Jul 11 2005 Austin Acton <austin@mandriva.org> 0.5.1-1mdk
- 0.5.1
- configure 2.5
- drop patch (seems to be added upstream)
- drop weird obsoletes

* Tue Feb 15 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-8mdk
- libtool fixes

* Thu Feb 03 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-7mdk
- spec fixes
- fix deps

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-6mdk
- rename

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-5mdk
- rebuild

